from fastapi import Response
from pydantic import BaseModel

from jwtserver.api.v1.routers.auth.routers import router_api_v1_auth


class LogoutResponseModel(BaseModel):
    status: str


@router_api_v1_auth.get(
    "/api/v1/logout/",
    response_model=LogoutResponseModel,
    description="Removes token from cookie",
)
async def logout(response: Response):
    """If the exit, delete the token and that's it
    :param response: fastapi.Response
    :return LogoutResponse
    """
    response.delete_cookie(key="refresh_token")
    return {"status": "logout"}
